# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Pod-Eventual
Version:	0.093330
Release:	5.%{__distinit}%{__distvers}
Summary:	Read a POD document as a series of trivial events
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Pod-Eventual/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Pod-Eventual-%{version}.tar.gz
Patch0:		perl-Pod-Eventual-0.093330-no-deep.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Mixin::Linewise::Readers) >= 0.001
BuildRequires:	perl(Pod::Coverage::TrustPod)
%if "%{perl_version}" != "5.8.0"
BuildRequires:	perl(Test::Deep)
%endif
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%{perl_version})

%description
POD is a pretty simple format to write, but it can be a big pain to deal
with reading it and doing anything useful with it. Most existing POD
parsers care about semantics, like whether a =item occurred after an
=over but before a back, figuring out how to link a L<>, and other things
like that.

Pod::Eventual is much less ambitious and much more stupid. Fortunately, stupid
is often better (that's what I keep telling myself, anyway).

Pod::Eventual reads line-based input and produces events describing each POD
paragraph or directive it finds. Once complete events are immediately passed to
the handle_event method. This method should be implemented by Pod::Eventual
subclasses. If it isn't, Pod::Eventual's own handle_event will be called, and
will raise an exception.

%prep
%setup -q -n Pod-Eventual-%{version}

# We don't have Test::Deep with Perl 5.8.0
%if "%{perl_version}" == "5.8.0"
%patch0 -p1
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
%{__make} test RELEASE_TESTING=1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Eventual.3pm*
%{_mandir}/man3/Pod::Eventual::Simple.3pm*

%changelog
* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 0.093330-5
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 0.093330-4
- Fix dist tag for RHEL-6 Beta

* Wed Feb  3 2010 Paul Howarth <paul@city-fan.org> 0.093330-3
- BR: perl(Pod::Coverage::TrustPod) for extra test cover (note that this
  introduces a build dependency loop that will need to be worked around if
  bootstrapping new releases)

* Wed Feb  3 2010 Paul Howarth <paul@city-fan.org> 0.093330-2
- Import from Fedora
- Add patch to support build on Perl 5.8.0 where we have no Test::Deep

* Thu Jan 14 2010 Iain Arnell 0.093330-1
- Specfile autogenerated by cpanspec 1.78
